수정 :이 운영 체제에서 .NET Framework 4.7이 지원되지 않습니다

어드바이스 : 윈도우 오류 및 최적화 시스템 성능을 해결하기 위해 여기를 클릭하십시오

.Net Framework는 Microsoft에서 도입 한 프로그래밍 인프라입니다. 다양한 응용 프로그램 및 서비스를 실행하려면 .Net Framework가 필요합니다. .Net Framework가 필요한 대부분의 응용 프로그램에는 설치 파일도 함께 제공됩니다. 따라서 응용 프로그램을 설치할 때 시스템에 자동으로 설치됩니다. 그러나 응용 프로그램을 설치할 때“이 운영 체제에서는 .NET Framework 4.7이 지원되지 않습니다”라는 오류가 표시 될 수 있습니다. 이 오류는 응용 프로그램을 성공적으로 설치하지 못하게합니다. .Net Framework를 독립형 애플리케이션 / 서비스로 설치하려고 할 때이 오류가 표시 될 수 있습니다.

이 오류가 발생하는 이유는 오류 메시지에 언급 된 것과 같습니다. .Net Framework는 Windows 10에서 지원되지만 모든 버전의 Windows 10과 호환되지는 않습니다. 따라서이 메시지가 표시되면이 오류의 가장 큰 원인은 Windows 10 버전을 실행하는 것입니다. .Net Framework와 호환되지 않습니다.

방법 1 : Windows 10 업데이트

이 문제에 대한 유일한 해결책은 Windows 10을 간단하게 업데이트하는 것입니다. 최신 버전의 Windows 10을 사용하는 경우에도 Windows Update를 확인하는 것이 좋습니다. 문제는 호환되지 않는 운영 체제로 인해 발생하므로 사용 가능한 모든 Windows 10을 설치하십시오. 업데이트로 문제가 해결 될 가능성이 높습니다. 아래 단계에 따라 정확한 Windows 10 버전과 .Net Framework에 필요한 버전을 확인할 수도 있습니다.

  1. Windows 키 를 누른 상태에서 R 를 누릅니다
  2. winver를 입력 하고 Enter 키를 누릅니다

  1. 새로 열린 창에서 버전을 언급해야합니다. 버전 뒤의 번호 (두 번째 줄)는 버전 번호입니다. 숫자는 1507 또는 1709 여야합니다. 첫 두 자리 숫자는 연도이고 두 번째 두 자리는 월을 나타냅니다. 따라서 1709 버전이 있다면 2017 년 9 월에 릴리스 된 버전을 실행하고 있음을 의미합니다

  1. 이제 .Net Framework와 호환되는 Windows 10 버전이 있는지 확인해야합니다. 여기 를 클릭하고 시스템 요구 사항을 클릭 하십시오

지원되는 운영 체제 섹션을 보면 Windows 10 1 주년 업데이트Windows 10 크리에이터 스 업데이트가 표시 됩니다. 많은 사람들이 기념일 및 크리에이터 업데이트와 관련된 버전 번호에 익숙하지 않으므로 아래에서 언급했습니다.

  • 11 월 업데이트 (1511)
  • 기념일 업데이트 (14393)
  • 크리에이터 스 업데이트 (1703)
  • 가을 크리에이터 업데이트 (1709)
  • 봄 크리에이터 즈 업데이트 (1803)

보다시피, Anniversary Update의 버전 번호는 14393이고 Creators Update의 버전은 1703입니다. 따라서 14393보다 낮은 버전의 Windows 10에서는 .Net Framework 4.7을 설치할 수 없습니다. 이제 Windows를 업데이트하고 최신 Windows 10 버전이 있는지 확인한 후 다시 시도하십시오.

재미있는 기사